GET /api/v202209/widget/map/{specificWidgetId}

Retrieves map data for a specific map widget NOTE: Does not support global dashboard filtering with Topmost Place, Place Group API filters.

GetMapWidgetV202209

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Specific widget identifier to get the data for integer (int32) Required

Query Parameters

Name Description Type Required
chartMonthsToExclude Optional, the number of months to exclude from intensity data, 0 includes all months including the current one. Defaults to 0. integer (int32) Optional
numMonths Optional, the number of months of intensity data to include, the end month is respective of chartMonthsToExclude. Defaults to 12. integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

MapWidgetResponseV202209
Property Description Type
endPeriod The end period for intensity data on places integer (int32)
energyCostIntensityUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
energyUseIntensityUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
floorAreaUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
ghgIntensityUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
places Place data to draw on the map MapPlaceChildV202209[]
MapPlaceChildV202209 properties
Property Description Type
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
energyCostIntensity Energy Cost Intensity (ECI) for the past period number (double)
energyUseIntensity Energy Use Intensity (EUI) for the past period number (double)
floorArea The floor area of the place, reported in the global area unit number (double)
ghgIntensity Green House Gas (GHG) Intensity for the past period number (double)
placeCode The place code string
placeId The identifier for place integer (int32)
placeInfo The place information string
primaryUse PrimaryUseChild
PrimaryUseChild properties
Property Description Type
primaryUseCode string
primaryUseId integer (int32)
primaryUseInfo string
startPeriod The start period for intensity data on places integer (int32)
Example Response application/json
{  "endPeriod": 1,  "energyCostIntensityUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "energyUseIntensityUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "floorAreaUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "ghgIntensityUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "places": [
    {    "address": {      "addressTypeId": 1,      "city": "string",      "country": "string",      "latitude": 1.0,      "line1": "string",      "line2": "string",      "line3": "string",      "longitude": 1.0,      "postalCode": "string",      "remitTo": "string",      "state": "string"
    },    "energyCostIntensity": 1.0,    "energyUseIntensity": 1.0,    "floorArea": 1.0,    "ghgIntensity": 1.0,    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "primaryUse": {      "primaryUseCode": "string",      "primaryUseId": 1,      "primaryUseInfo": "string"
    }
  }
  ],  "startPeriod": 1
}